<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: vdf_wallfunc_defs.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_c6d4acec04fb84eb0cdc1ccbc3a601e7.html">vdf_h</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">vdf_wallfunc_defs.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1tauw__bdry__t.html">vdf_wallfunc_defs::tauw_bdry_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1tauw__t.html">vdf_wallfunc_defs::tauw_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1visc__sc__bdry__t.html">vdf_wallfunc_defs::visc_sc_bdry_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1visc__scale__t.html">vdf_wallfunc_defs::visc_scale_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1viscw__t.html">vdf_wallfunc_defs::viscw_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvdf__wallfunc__defs_1_1wallfunc__t.html">vdf_wallfunc_defs::wallfunc_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacevdf__wallfunc__defs"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html">vdf_wallfunc_defs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ae4fd8928e969ee499618a9f53aba32ea"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ae4fd8928e969ee499618a9f53aba32ea">vdf_wallfunc_defs::set_default_wallfunc</a> (in)</td></tr>
<tr class="separator:ae4fd8928e969ee499618a9f53aba32ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff4c5c01375924744f81922f5280c67"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#afff4c5c01375924744f81922f5280c67">vdf_wallfunc_defs::set_default_tauw_src</a> (in)</td></tr>
<tr class="separator:afff4c5c01375924744f81922f5280c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4391f2d3db1ca1f6ddc335c833fc8cb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aa4391f2d3db1ca1f6ddc335c833fc8cb">vdf_wallfunc_defs::set_default_visc_src</a> (in)</td></tr>
<tr class="separator:aa4391f2d3db1ca1f6ddc335c833fc8cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a753e86d3bb721da33963bd5a94a2b829"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a753e86d3bb721da33963bd5a94a2b829">vdf_wallfunc_defs::set_default_visc_src_bdry</a> (in)</td></tr>
<tr class="separator:a753e86d3bb721da33963bd5a94a2b829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f35dc6e327e8786d988e3134e62a786"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a6f35dc6e327e8786d988e3134e62a786">vdf_wallfunc_defs::destroy_wallfunc</a> (sd, in)</td></tr>
<tr class="separator:a6f35dc6e327e8786d988e3134e62a786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3efc02812f2845befa54ffe089131b5"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ab3efc02812f2845befa54ffe089131b5">vdf_wallfunc_defs::cleanup_tauw_src</a> (sd, tauw_src)</td></tr>
<tr class="separator:ab3efc02812f2845befa54ffe089131b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3faeb604f0f45c74ca3ab84863811e1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ab3faeb604f0f45c74ca3ab84863811e1">vdf_wallfunc_defs::cleanup_visc_sc</a> (sd, visc_sc)</td></tr>
<tr class="separator:ab3faeb604f0f45c74ca3ab84863811e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7768543b6ffbbd24c933d6a2c38dd72"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ad7768543b6ffbbd24c933d6a2c38dd72">vdf_wallfunc_defs::cleanup_visc_src</a> (sd, visc_src)</td></tr>
<tr class="separator:ad7768543b6ffbbd24c933d6a2c38dd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b1a1b97972ce571d8340e6b853e63e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a50b1a1b97972ce571d8340e6b853e63e">vdf_wallfunc_defs::allocate_wf_face</a> (var)</td></tr>
<tr class="separator:a50b1a1b97972ce571d8340e6b853e63e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f118feff4b48781cb3711f83468a69e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a5f118feff4b48781cb3711f83468a69e">vdf_wallfunc_defs::cleanup_wf_face</a> (var)</td></tr>
<tr class="separator:a5f118feff4b48781cb3711f83468a69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0b429b144fd369b18a6d1f1e337677"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a3c0b429b144fd369b18a6d1f1e337677">vdf_wallfunc_defs::set_default_wf_face</a> (var)</td></tr>
<tr class="separator:a3c0b429b144fd369b18a6d1f1e337677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec47f3111e7febf647dd2d9a2d7d1cd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a2ec47f3111e7febf647dd2d9a2d7d1cd">vdf_wallfunc_defs::allocate_wf_edge</a> (var)</td></tr>
<tr class="separator:a2ec47f3111e7febf647dd2d9a2d7d1cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7079067e391deb6dc92776a8be99c71"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aa7079067e391deb6dc92776a8be99c71">vdf_wallfunc_defs::cleanup_wf_edge</a> (var)</td></tr>
<tr class="separator:aa7079067e391deb6dc92776a8be99c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa455cf43af49ab32e3744dcfb5f86604"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aa455cf43af49ab32e3744dcfb5f86604">vdf_wallfunc_defs::set_default_wf_edge</a> (var)</td></tr>
<tr class="separator:aa455cf43af49ab32e3744dcfb5f86604"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa09565d53e3c22da3dd65238e0e9188a"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aa09565d53e3c22da3dd65238e0e9188a">vdf_wallfunc_defs::type_tau_from_vel_log</a> = 1</td></tr>
<tr class="separator:aa09565d53e3c22da3dd65238e0e9188a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83313e8ef48a54f37a290a4d4ca694f3"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a83313e8ef48a54f37a290a4d4ca694f3">vdf_wallfunc_defs::type_tau_from_vel_power</a> = 2</td></tr>
<tr class="separator:a83313e8ef48a54f37a290a4d4ca694f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80937aad1625b906eaf46c1e65a8f318"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a80937aad1625b906eaf46c1e65a8f318">vdf_wallfunc_defs::type_tau_from_vel_dpdx</a> = 3</td></tr>
<tr class="separator:a80937aad1625b906eaf46c1e65a8f318"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4538d8319b070dca4a644c6dfec3c3a3"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a4538d8319b070dca4a644c6dfec3c3a3">vdf_wallfunc_defs::type_tau_from_vel_log_ubc_lin</a> = 4</td></tr>
<tr class="separator:a4538d8319b070dca4a644c6dfec3c3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95227976376cd92350a34faf4314e840"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a95227976376cd92350a34faf4314e840">vdf_wallfunc_defs::type_tau_from_vel_power_ubc_lin</a> = 5</td></tr>
<tr class="separator:a95227976376cd92350a34faf4314e840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa744a072a544d74c88d2a9c4f1d8949e"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aa744a072a544d74c88d2a9c4f1d8949e">vdf_wallfunc_defs::type_wall_visc_duprat</a> = 1</td></tr>
<tr class="separator:aa744a072a544d74c88d2a9c4f1d8949e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab31a00fec09010e3c6a578c535ddccb8"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ab31a00fec09010e3c6a578c535ddccb8">vdf_wallfunc_defs::type_no_time_avg</a> = 0</td></tr>
<tr class="separator:ab31a00fec09010e3c6a578c535ddccb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff04487d70028cee73346653663b5ee9"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#aff04487d70028cee73346653663b5ee9">vdf_wallfunc_defs::type_total_time_avg</a> = 1</td></tr>
<tr class="separator:aff04487d70028cee73346653663b5ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7364dcbd80c75bbbb1223e5873301d"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#acf7364dcbd80c75bbbb1223e5873301d">vdf_wallfunc_defs::type_local_time_avg</a> = 2</td></tr>
<tr class="separator:acf7364dcbd80c75bbbb1223e5873301d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c9c1c75e2ef0dcb6aed3014475317f4"><td class="memItemLeft" align="right" valign="top">real(wp), parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a6c9c1c75e2ef0dcb6aed3014475317f4">vdf_wallfunc_defs::wfunc_kappa</a> = 0.41_WP</td></tr>
<tr class="separator:a6c9c1c75e2ef0dcb6aed3014475317f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a587443dabe6b12d20fb745f2a14ee80c"><td class="memItemLeft" align="right" valign="top">real(wp), parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#a587443dabe6b12d20fb745f2a14ee80c">vdf_wallfunc_defs::wfunc_b</a> = 5.2_WP</td></tr>
<tr class="separator:a587443dabe6b12d20fb745f2a14ee80c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45425bdf7eb2e8abab699aa32596b5d"><td class="memItemLeft" align="right" valign="top">real(wp), parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__wallfunc__defs.html#ad45425bdf7eb2e8abab699aa32596b5d">vdf_wallfunc_defs::wfunc_kappa_i</a> = 1.0_WP / wfunc_kappa</td></tr>
<tr class="separator:ad45425bdf7eb2e8abab699aa32596b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
